
<div class="marge">
    <div class="row col-md-3" *ngIf="vue==1">
        <div class="panel panel-primary">
            <div class="panel-heading">Ajouter Une Consultation</div>
            <div class="panel-body">

                <form #form="ngForm" (ngSubmit)="ajouterconsultation(form.value)">
                <div class="form-group">
                    <label for="usr">Date :</label>
                    <input type="date" name="dateconsultation" class="form-control" ngModel>
                </div>
               
        
                <div class="form-group" *ngIf="listepatient">
                    <label for="sel1">Patient :</label>
           
                        <select  class="form-control" name="idpatient" ngModel>
                            <option *ngFor="let patient of listepatient">
                                {{patient.idpatient}}
                            </option>
                            
                        </select>
                 
                </div>

                <div class="form-group" *ngIf="listerendezvous">
                    <label for="sel1">Rendez-Voous :</label>
                    <select  class="form-control" name="idrendezvous" ngModel>
                        <option *ngFor="let rdv of listerendezvous">
                            {{rdv.idrendezvous}} 
                        </option>
                        
                       
                    </select>
                </div>
                <button type="submit" class="btn btn-primary col-md-12">Enregistrer</button>
            </form>
            </div>
            

        </div>
    </div>

    <div class="row col-md-9" *ngIf="vue==1">

        <div class="panel panel-success">
            <div class="panel-heading">Liste des Consultations</div>
            <div class="panel-body">

                <h2>INFORMATION CONSULTATION</h2>
                <div>
                    <form #fo="ngForm" (ngSubmit)="Onchercher(fo.value)">
                        <div class="form-group col-sm-3">
                            <label style="color: red;"></label>
                            <input type="date" name="dateconsultation" class="form-control" ngModel placeholder="Recherche">
                            <button type="submit" class="btn btn-primary col-sm-12 glyphicon glyphicon-search"></button>
                        </div>
                    </form>
                </div>

                <table class="table table-bordered" *ngIf="listeconsultation">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>DATE</th>
                            

                        </tr>
                    </thead>
                    <tbody *ngFor="let consultation of listeconsultation._embedded.consultations">
                        <tr>
                            <td>{{consultation.idconsultation}}</td>
                            <td>
                                <a> {{consultation.dateconsultation | date:'M/d/yy, h:mm a'}}</a> 
                               
                            </td>
                           
                            <td><button class="btn btn-danger"> <a (click)="onDelete(consultation)"
                                        class="glyphicon glyphicon-trash"></a> </button></td>
                            <td><button class="btn btn-warning"> <a (click)="onUpdate(consultation)" class="glyphicon glyphicon-pencil"></a> </button>
                            </td>
                            <td><button class="btn btn-info"> <a (click)="detailConsultation(consultation)"
                                class="glyphicon glyphicon-th-list"></a> Details</button></td>
                        </tr>

                    </tbody>
                </table>
                <ul *ngIf="pages" class="nav nav-pills">
                    <li [ngClass]="i==pagecourant?'active':''" *ngFor="let p  of pages; let i=index">
                        <a (click)="PageConsultation(i)">{{i}}</a>
                    </li>
                </ul>
            </div>
        </div>

    
       

     
    </div>

    <div *ngIf="vue==2">
        <div class="panel panel-danger">
              <div class="panel-heading">Details sur la Consultation des Patients et leur Rendez-Vous</div>
                  <div class="panel-body">
                      <table class="table table-bordered" >
                          <thead>
                              <tr class="panel panel-info">
                                  <th class="panel-heading">N ° : CONSULTATION</th>
                                  <th class="panel-heading">DATE RENDEZ-VOUS</th>
                                  <th class="panel-heading">NOM PATIENT</th>
                                  <th class="panel-heading"> PRENOM PATIENT</th>
                                  <th class="panel-heading">ADRESSE PATIENT</th>
                                  <th class="panel-heading">TELEPHONE PATIENT</th>
                                  <th class="panel-heading">DATE NAISS PATIENT</th>

                                  <th class="panel-heading">DATE RENDEZ-VOUS</th>
                                  <th class="panel-heading">N ° : MEDECIN</th>
                                  <!-- <th class="panel-heading">N ° : PATIENT</th>-->  
                          
                                  
                               </tr>
                               
                          </thead>
                          <tbody *ngIf="details">
                              <tr>
                                  <td> RDV N° : {{details.idconsultation}}</td>
                                  <td> {{details.dateconsultation | date:'M/d/yy, h:mm a'}}</td>
                                  <td>{{details.patient.nompatient}}</td>
                                  <td>{{details.patient.prenompatient}}</td>
                                  <td>{{details.patient.adressepatient}}</td>
                                  <td>{{details.patient.telpatient}}</td>
                                  <td>{{details.patient.dateNaisspatient | date: 'dd/MM/yyyy'}}</td>

                                  <td>{{details.rendezVous.daterendezvous | date:'M/d/yy, h:mm a'}}</td>
                                  <td> <a (click)="afficherMedecin(details)" class="btn btn-warning col-sm-12"> {{details.rendezVous.idmedecin}} </a></td>
                                  <!-- <td> <a (click)="afficherPatient(details)"  class="btn btn-warning col-sm-12">{{details.rendezVous.idpatient}}</a> </td>-->  
                                
                                 
                  
                              </tr>
                  
                          </tbody>
                      </table>
                      <br>
                      <button (click)="Pagecourant()" class="btn btn-primary col-sm-2 col-md-offset-10">Consultation</button>
                  </div>
                  
          </div>
    </div>


    
    <div *ngIf="vue==3">
        <div class="panel panel-danger">
              <div class="panel-heading">Details sur la Consultation des Patients et leur Rendez-Vous</div>
                  <div class="panel-body">
                      <table class="table table-bordered" >
                          <thead>
                              <tr class="panel panel-info">
                                  <th class="panel-heading">N ° : MEDECIN</th>
                                  <th class="panel-heading">NOM MEDECIN</th>
                                  <th class="panel-heading"> PRENOM MEDECIN</th>
                                  <th class="panel-heading">ADRESSE MEDECIN</th>
                                  <th class="panel-heading">TELEPHONE MEDECIN</th>
                                  <th class="panel-heading">DATE NAISS MEDECIN</th>
                                  <th class="panel-heading">SEXE MEDECIN</th>
                          
                                  
                               </tr>
                               
                          </thead>
                          <tbody *ngIf="medecindetailconsultation">
                              <tr>
                                  <td> RDV N° : {{medecindetailconsultation.idmedecin}}</td>
                                  <td> {{medecindetailconsultation.nommedecin}}</td>
                                  <td>{{medecindetailconsultation.prenommedecin}}</td>
                                  <td>{{medecindetailconsultation.adressemedecin}}</td>
                                  <td>{{medecindetailconsultation.telmedecin}}</td>
                                  <td>{{medecindetailconsultation.dateNaissmedecin | date: 'dd/MM/yyyy'}}</td>
                                  <td>{{medecindetailconsultation.sexemedecin}}</td>  
                            
                              </tr>
                          </tbody>
                      </table>
                      <br>
                      <button (click)="Pagecourant()" class="btn btn-primary col-sm-2 col-md-offset-10">Consultation</button>
                  </div>
                  
          </div>
    </div>

    <div *ngIf="vue==4">
        <div class="panel panel-danger">
              <div class="panel-heading">Details sur la Consultation des Patients et leur Rendez-Vous</div>
                  <div class="panel-body">
                      <table class="table table-bordered" >
                          <thead>
                              <tr class="panel panel-info">
                                  <th class="panel-heading">N ° : PATIENT</th>
                                  <th class="panel-heading">NOM PATIENT</th>
                                  <th class="panel-heading"> PRENOM PATIENT</th>
                                  <th class="panel-heading">ADRESSE PATIENT</th>
                                  <th class="panel-heading">TELEPHONE PATIENT</th>
                                  <th class="panel-heading">DATE NAISS PATIENT</th>
                                  <th class="panel-heading">SEXE PATIENT</th>
                                    
                                  
                               </tr>
                               
                          </thead>
                          <tbody *ngIf="patientdetailconsultation">
                              <tr>
                                  <td> RDV N° : {{patientdetailconsultation.idpatient}}</td>
                                  <td> {{patientdetailconsultation.nompatient}}</td>
                                  <td>{{patientdetailconsultation.prenompatient}}</td>
                                  <td>{{patientdetailconsultation.adressepatient}}</td>
                                  <td>{{patientdetailconsultation.telpatient}}</td>
                                  <td>{{patientdetailconsultation.dateNaisspatient | date: 'dd/MM/yyyy'}}</td>
                                  <td>{{patientdetailconsultation.sexepatient}}</td> 
                                 
                                  
                              </tr>
                          </tbody>
                      </table>
                      <br>
                      <button (click)="Pagecourant()" class="btn btn-primary col-sm-2 col-md-offset-10">Consultation</button>
                  </div>
                  
          </div>
    </div>
    
   
</div>
